# Data connectors

## Overview

Transports provide the integration links required to consume and publish computed stream results. Joule Management API provides the ability to register, list, detail and undeploy transports.

For further information on the structure of the content payload refer to this [documentation](/joule/components/connectors.md).&#x20;

## Example data connector content

```json
{
    "kafkaConsumer": {
        "name": "nasdaq_quotes_stream",
        "cluster address": "joule-gs-redpanda-0:9092",
        "consumerGroupId": "nasdaq",
        "topics": [
        "quotes"
        ],
        "deserializer": {
        "parser": "com.fractalworks.examples.banking.data.QuoteToStreamEventParser",
        "key deserializer": "org.apache.kafka.common.serialization.IntegerDeserializer",
        "value deserializer": "com.fractalworks.streams.transport.kafka.serializers.object.ObjectDeserializer"
        },
        "properties": {
        "partition.assignment.strategy": "org.apache.kafka.clients.consumer.StickyAssignor",
        "max.poll.records" : "7000",
        "fetch.max.bytes" : "10485760"
        }
    }
}
```

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/transports/register" method="post" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/transports/list" method="get" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/transports/detail" method="get" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}

{% openapi src="/files/GlCtcBKC4vfe3SdDJyJ9" path="/joule/management/transports/unregister" method="delete" %}
[swagger-docs.json](https://3062398388-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUU6FZlV07ZD90OzbzGww%2Fuploads%2FwsbKvpoD11cLGV2xB6Dl%2Fswagger-docs.json?alt=media\&token=7d415513-0de4-40a2-9b02-d35b6d39c86f)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fractalworks.io/joule/developer-guides/api-endpoints/mangement-api/data-connectors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
